#!/usr/local/bin/perl

use Getopt::Long;
use strict;
use Bio::SeqIO;

my $usage= << "JUS";
  usage: perl $0 -in gbkFile
  
  options: -in: Path to the gbk input file [REQUIRED]
  
  purpose: Converts gbk formatted files to fasta files.
  
  results: Prints fasta format to STDOUT
JUS

my ($opt_in);

usage() unless GetOptions(
	"in=s" => \$opt_in
);

if(!$opt_in){
  print STDERR $usage;
  exit;
}

my $in  = Bio::SeqIO->newFh(-file => $opt_in,
                         -format => 'genbank');
my $out = Bio::SeqIO->newFh(-format => 'fasta');
print $out $_ while <$in>;
